import { ALL_SEVERITIES_TYPES, ALL_MESSAGE_TYPES } from './main.config';
export type SeverityType = (typeof ALL_SEVERITIES_TYPES)[number];
export type MessageType = (typeof ALL_MESSAGE_TYPES)[number];
interface NotifyAction {
    text: string;
    fn(data?: any): void;
    cssClass: string;
}
export interface Notify {
    id: string;
    rowRef: string;
    type: SeverityType;
    title: string;
    content: string;
    date: string;
    actions?: NotifyAction[];
}
export interface NotifyRow {
    ALERT_ID: string;
    CREATED_AT: number;
    DETAILS: {
        OPERATION: string;
        ROW_REF: string;
    };
    HEADER: string;
    MESSAGE: string;
    NOTIFY_SEVERITY: MessageType;
    EXPIRY?: null;
    SENDER?: null;
    USER_NAME: string;
}
export interface NotifyStreamMessage {
    MESSAGE_TYPE: string;
    MORE_ROWS: boolean;
    ROW: NotifyRow[];
    ROW_COUNT: number;
    SEQUENCE_ID: number;
    SOURCE_REF: string;
}
export declare enum NotifyResourceNames {
    ALL_RECORDS = "ALL_NOTIFY_ALERT_RECORDS"
}
export interface FoundationInboxServiceStore {
    items: Notify[];
}
export type subscribeCallback = ({ store }: {
    store: FoundationInboxServiceStore;
}) => any;
export type filterTypes = 'search' | 'severity';
export type filterPayload = {
    [filterType in filterTypes]: string;
};
export interface FoundationInboxService {
    subscribe(callback: subscribeCallback): void;
    unsubscribe(callback: subscribeCallback): void;
    filter(filterType: filterTypes[], payload: {
        [filterType in filterTypes]?: string;
    }): Promise<Notify[]>;
}
export {};
//# sourceMappingURL=main.types.d.ts.map